Description

Under certain (rare) circumstances it may happen that, when an issue or other

container is saved, added attachments have already been removed (i.e. by the

attachments:prune rake task).

Until now these tokens are silently ignored and the user is left in the dark about the missing file. This patch adds a validation error to

the container in this case.

Associated revisions

Revision 15378 - 2016-05-07 12:31 - Jean-Philippe Lang

Notify the user of missing attachments (#22401).

under certain (rare) circumstances it may happen that, when an issue or other

container is saved, added attachments have already been removed (i.e. by the

attachments:prune rake task). This patch adds a validation error to the

container in this case.

Patch by Jens Kraemer.

History

#1 - 2016-04-08 15:25 - Jan from Planio www.plan.io

- Target version set to Candidate for next minor release

#2 - 2016-05-01 15:16 - Toshi MARUYAMA

- Target version changed from Candidate for next minor release to 3.3.0

#3 - 2016-05-07 12:32 - Jean-Philippe Lang

- Subject changed from notify the user of missing attachments to Notify the user of missing attachments

- Category set to Attachments

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks. I used the existing warning_attachments_not_saved i18n string instead of adding a new one.

Files

0001-notify-the-user-of-missing-attachments.patch 4.14 KB 2016-04-05 Jens Krämer
